# DataExchange
TKSTEPBase
StepBasic

# StepBasic_PersonOrganizationSelect Class Reference

`#include <StepBasic_PersonOrganizationSelect.hxx>`

Inheritance diagram for StepBasic_PersonOrganizationSelect:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepBasic_PersonOrganizationSelect ()
| Returns a PersonOrganizationSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a PersonOrganizationSelect Kind Entity that is : 1 -> Person 2 -> Organization 3 -> PersonAndOrganization 0 else .
Standard_EXPORT Handle_StepBasic_Person | Person () const
| returns Value as a Person (Null if another type)
Standard_EXPORT Handle_StepBasic_Organization | Organization () const
| returns Value as a Organization (Null if another type)
Standard_EXPORT Handle_StepBasic_PersonAndOrganization | PersonAndOrganization () const
| returns Value as a PersonAndOrganization (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_PersonOrganizationSelect::StepBasic_PersonOrganizationSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepBasic_PersonOrganizationSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepBasic_PersonOrganizationSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_PersonOrganizationSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepBasic_PersonOrganizationSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepBasic_Organization StepBasic_PersonOrganizationSelect::Organization | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_Person StepBasic_PersonOrganizationSelect::Person | ( |  | ) | const

Standard_EXPORT Handle_StepBasic_PersonAndOrganization StepBasic_PersonOrganizationSelect::PersonAndOrganization | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepBasic_PersonOrganizationSelect.hxx